OpenJPEG: faixbox_manager.h File Reference

OpenJPEG 2.4.0

Data Structures | Typedefs | Functions
faixbox_manager.h File Reference
`#include "byte_manager.h"`
`#include "box_manager.h"`

Go to the source code of this file.

## Data Structures
struct | faixelem4_param
| 4byte parameters of a faix element More...
struct | faixelem8_param
| 8byte parameters of a faix element More...
struct | subfaixbox4_param
| 4byte parameters of fragment array index box More...
struct | subfaixbox8_param
| 8byte parameters of fragment array index box More...
union | subfaixbox_param
| variable sized parameters in fragment array index box More...
struct | faixbox_param
| fragment array index box parameters More...

## Typedefs
typedef struct faixelem4_param | faixelem4_param_t
| 4byte parameters of a faix element More...
typedef struct faixelem8_param | faixelem8_param_t
| 8byte parameters of a faix element More...
typedef struct subfaixbox4_param | subfaixbox4_param_t
| 4byte parameters of fragment array index box More...
typedef struct subfaixbox8_param | subfaixbox8_param_t
| 8byte parameters of fragment array index box More...
typedef union subfaixbox_param | subfaixbox_param_t
| variable sized parameters in fragment array index box More...
typedef struct faixbox_param | faixbox_param_t
| fragment array index box parameters More...

## Functions
faixbox_param_t * | gene_faixbox (box_param_t *box)
| generate faix box More...
void | print_faixbox (faixbox_param_t *faix)
| print faix box parameters More...
void | delete_faixbox (faixbox_param_t **faix)
| delete faix box More...
Byte8_t | get_nmax (faixbox_param_t *faix)
| get nmax parameter value from faix box More...
Byte8_t | get_m (faixbox_param_t *faix)
| get m parameter value from faix box More...
Byte8_t | get_elemOff (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get offset of a element from faix box More...
Byte8_t | get_elemLen (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get length of a element from faix box More...
Byte4_t | get_elemAux (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get aux of a element from faix box More...

## Typedef Documentation

## ◆ faixbox_param_t

typedef struct faixbox_param faixbox_param_t

fragment array index box parameters

I.3.2.4.2 Fragment Array Index box

## ◆ faixelem4_param_t

typedef struct faixelem4_param faixelem4_param_t

4byte parameters of a faix element

## ◆ faixelem8_param_t

typedef struct faixelem8_param faixelem8_param_t

8byte parameters of a faix element

## ◆ subfaixbox4_param_t

typedef struct subfaixbox4_param subfaixbox4_param_t

4byte parameters of fragment array index box

## ◆ subfaixbox8_param_t

typedef struct subfaixbox8_param subfaixbox8_param_t

8byte parameters of fragment array index box

## ◆ subfaixbox_param_t

typedef union subfaixbox_param subfaixbox_param_t

variable sized parameters in fragment array index box

## Function Documentation

## ◆ delete_faixbox()

void delete_faixbox | ( | faixbox_param_t ** | faix | ) |

delete faix box

Parameters

  [in,out] | faix | addressof the faixbox pointer

Referenced by delete_index().

## ◆ gene_faixbox()

faixbox_param_t* gene_faixbox | ( | box_param_t * | box | ) |

generate faix box

Parameters

  [in] | box | pointer to the reference faix_box

Returns
  generated faixbox

References subfaixbox4_param::aux, subfaixbox8_param::aux, subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, FCGI_stderr, fetch_DBox1byte(), fetch_DBox4bytebigendian(), fetch_DBox8bytebigendian(), faixelem4_param::len, faixelem8_param::len, subfaixbox4_param::m, subfaixbox8_param::m, subfaixbox4_param::nmax, subfaixbox8_param::nmax, faixelem4_param::off, faixelem8_param::off, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by set_ppixdata(), and set_tpixdata().

## ◆ get_elemAux()

Byte4_t get_elemAux | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get aux of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox4_param::aux, subfaixbox8_param::aux, subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, get_nmax(), faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by print_faixbox().

## ◆ get_elemLen()

Byte8_t get_elemLen | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get length of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, get_nmax(), faixelem4_param::len, faixelem8_param::len, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_precinct(), enqueue_tile(), and print_faixbox().

## ◆ get_elemOff()

Byte8_t get_elemOff | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get offset of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, get_nmax(), faixelem4_param::off, faixelem8_param::off, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), and print_faixbox().

## ◆ get_m()

Byte8_t get_m | ( | faixbox_param_t * | faix | ) |

get m parameter value from faix box

Parameters

  [in] | faix | faix box pointer

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::m, subfaixbox8_param::m, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_tile(), gene_cachemodel(), and print_faixbox().

## ◆ get_nmax()

Byte8_t get_nmax | ( | faixbox_param_t * | faix | ) |

get nmax parameter value from faix box

Parameters

  [in] | faix | faix box pointer

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::nmax, subfaixbox8_param::nmax, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_imagedata(), enqueue_precinct(), enqueue_tile(), gene_cachemodel(), get_elemAux(), get_elemLen(), get_elemOff(), is_allsent(), isJPTfeasible(), print_cachemodel(), and print_faixbox().

## ◆ print_faixbox()

void print_faixbox | ( | faixbox_param_t * | faix | ) |

print faix box parameters

Parameters

  [in] | faix | faix box pointer

References get_elemAux(), get_elemLen(), get_elemOff(), get_m(), get_nmax(), logstream, and faixbox_param::version.

Referenced by print_index().